# DataExchange
TKSTEP209
StepFEA

# StepFEA_SymmetricTensor43dMember Class Reference

Representation of member for STEP SELECT type SymmetricTensor43d
.

`#include <StepFEA_SymmetricTensor43dMember.hxx>`

Inheritance diagram for StepFEA_SymmetricTensor43dMember:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_SymmetricTensor43dMember ()
| Empty constructor .
virtual Standard_EXPORT Standard_Boolean | HasName () const
| Returns True if has name .
virtual Standard_EXPORT Standard_CString | Name () const
| Returns set name .
virtual Standard_EXPORT Standard_Boolean | SetName (const Standard_CString name)
| Set name .
virtual Standard_EXPORT Standard_Boolean | Matches (const Standard_CString name) const
| Tells if the name of a SelectMember matches a given one; .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | mycase

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_SymmetricTensor43dMember::StepFEA_SymmetricTensor43dMember | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_SymmetricTensor43dMember::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_SelectArrReal.

virtual Standard_EXPORT Standard_Boolean StepFEA_SymmetricTensor43dMember::HasName | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectNamed.

virtual Standard_EXPORT Standard_Boolean StepFEA_SymmetricTensor43dMember::Matches | ( | const Standard_CString | name | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_CString StepFEA_SymmetricTensor43dMember::Name | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectNamed.

virtual Standard_EXPORT Standard_Boolean StepFEA_SymmetricTensor43dMember::SetName | ( | const Standard_CString | name | ) | `[virtual]`

| Reimplemented from StepData_SelectNamed.

## Field Documentation

Standard_Integer StepFEA_SymmetricTensor43dMember::mycase `[private]`

The documentation for this class was generated from the following file:

- StepFEA_SymmetricTensor43dMember.hxx